### Virtual Method

# Foundry Command can_default

#### Declaration [src]

    gboolean
    can_default (
      FoundryCommand* self,
      guint* priority
    )

#### Description [src]

Checks to see if `self` is suitable to be run as the default command when running a project. The priority indicates if it should take priority over other commands which can be default. The highest priority value wins.

#### Parameters

`priority`

  Type: `guint*`

  A location for the priority, or `NULL`.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if `self` can be the default command.